"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class BreakendOrientation(object):
    """
    SE | (Start -> End)   | s | t[p[ | piece extending to the right of p
    is joined after t SS | (Start -> Start) | s | t]p] | reverse comp
    piece extending left of p is joined after t ES | (End -> Start)
    | s | ]p]t | piece extending to the left of p is joined before t
    EE | (End -> End)     | s | [p[t | reverse comp piece extending
    right of p is joined before t
    """

    SE = "SE"
    SS = "SS"
    ES = "ES"
    EE = "EE"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "2.9.3-GEL"
